package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * 是否到位
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum IsPlaceEnum {
    /**
     *
     */
    IS_PLACE_YES("0","未到位"),
    IS_PLACE_NO("1","已到位"),

    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;

    public static String getCodeForValue(String code) {
        String path = "";
        if (StringUtils.isEmpty(code)) {
            return path;
        }

        for (IsPlaceEnum e : IsPlaceEnum.values()) {
            if (e.code.equalsIgnoreCase(code)) {
                path = e.value;
                break;
            }
        }
        return path;
    }
}
